Description

My observation is:

)

After upgrading to 1.11.1, both of my two kerbonauts (they are one star) with trait "Pilot" have access to all SAS effects.

¢ According to https://wiki.kerbalspaceprogram.com/wiki/Pilot, this should not be the case.

e | am in career mode.

¢ | do not have access to other pilots on my current save.

¢ | cannot confirm, that this bug applies to engineers and scientists. Perhaps these kerbonaut traits have access to their
corresponding upper level effects, too. | just started playing this game and i don't know yet how to exactly determine that.

¢ This bug is taking the fun away, because i'd like to feel the pain and the gain :-).

¢ In version 1.11 everything worked fine.

¢ | suspect the category "Kerbal". Though it might be another category (i.e. "Kerbal Experience").

Related issues:

Related to Kerbal Space Program - Bug #27162: SAS options do not correspond t... Confirmed 01/28/2021
Related to Kerbal Space Program - Bug #27166: In a science or sandbox mode ga... Resolved 01/29/2021
History

#1 - 01/29/2021 01:53 PM - antivalenz
edit-1: Alas... maybe this is a duplicate of Bug #27162.

#2 - 01/29/2021 03:18 PM - antivalenz

edit-2: | made the following additional observations:

e When pausing the game via ESC, i can klick on "Click for Version Info...".
¢ A window pops up, presenting a menu with an entry called "Kerbals".
e There, a list of all kerbals in my game is displayed. Showing crew, applicants and tourist kerbals.
¢ There is a status displayed for every kerbal:
- Jebediah, Pilot, Assigned, 1 2.
- Bill, Engineer, Available, 1 5.
- Bob, Scientist, Available, 1 5.
- Valentina, Pilot, Assigned, 1 5.

#3 - 01/31/2021 09:24 AM - HansAcker
- File screenshot0.jpg added
- File test-27169.sfs added

Can confirm.

Started a new career save (stock, no mods, no DLCs, default settings), put Jeb into a Mk1 Command Pod -> all SAS modes available. It didn't
happen every time, though.

I'll attach a .sfs and a screenshot. The associated options are not set (they shouldn't matter in career, anyway, | think):

AdvancedParams

{
EnableFullSASInSandbox = False

EnableFullSASInMissions = False
}
#4 - 01/31/2021 09:26 AM - macmiles
| have this bug too. | think is duplicate of bug #27162. Scientist and Engineers have full SAS controls

#5 - 01/31/2021 02:54 PM - Corkword
- File 2021-01-31 1.png added
- File 2021-01-31 2.png added
- File 2021-01-31 3.png added
- File 2021-01-31 4.png added

| have the same problem on windows 10 (64), like bug #27162

Screenshot:

#6 - 01/31/2021 09:26 PM - goufalite

Scientist and Engineers have full SAS controls

All kerbals have SAS (and can repair parts/pack parachutes) when "Enable kerbal experience" is off, it's been 4 years like this. Check #10845 and a
few tests | made :

https://wiki.kerbalspaceprogram.com/wiki/Specialization#No_experience_specialization_override

#7 - 01/31/2021 09:35 PM - antivalenz
To clarify things:

e | am talking about career-mode.
e | am playing the difficulty mode "normal". | did not modify the difficulty settings.

| should have mentioned that in the subject. Sorry.

#8 - 01/31/2021 09:44 PM - antivalenz

| can now confirm, that scientists and engineers have all SAS abilities too.
#9 - 02/01/2021 02:25 AM - macmiles
goufalite wrote:

Scientist and Engineers have full SAS controls

All kerbals have SAS (and can repair parts/pack parachutes) when "Enable kerbal experience" is off, it's been 4 years like this. Check #10845
and a few tests | made :
https://wiki.kerbalspaceprogram.com/wiki/Specialization#No_experience_specialization_override

Yes, | should have clarified. | understand the Enable Kerbal Experience option and have tested this. This issue appears for me in Sandbox, Science
and Career modes with Enable Kerbal Experience ON. Scientists, Engineers and Pilots have full SAS controls at zero xp.

Version 1.11.1 has this issue. Version 1.10.1 does not.

#10 - 02/01/2021 12:10 PM - Robnewnes

| also have this bug. | have tried changing the Enable Kerbal Experience option but it is no longer there. If | try and create a new game | have the
option to change it (and it makes no difference whether it is on or not). However once | start the game the option is no longer in the difficulty setting.
The game then is behaving as if it is off

#11 - 02/02/2021 07:31 PM - Technicalfool
- Related to Bug #27162: SAS options do not correspond to the pilot added

#12 - 02/02/2021 07:31 PM - Technicalfool
- Related to Bug #27166: In a science or sandbox mode game, pilot experience is disabled even though the "Enable Kerbal Experience" setting is

turned on added

#13 - 02/09/2021 05:13 PM - victorr

- Assignee set to victorr

#15 - 02/10/2021 07:37 PM - just_jim
- Status changed from New to Confirmed
- % Done changed from 0 to 10
- Platform Windows added

#16 - 05/19/2021 06:14 PM - corruptgod
- File Probodobodyne Stayputnik.png added

I've started a new career mode game and "Probodobodyne Stayputnik" has all SAS enabled.
Current version is 1.11.2.3037.

#17 - 06/23/2021 07:02 AM - R-T-B

This problem appears to only affect users who have "Making History" not enabled.

The reason | am aware of this is that | am the lead of the "Kopernicus" mod team, and | became aware of this in unrelated fashion when we
discovered that disabling Making History (with the mod MakingLessHistory, which simply renames the kspexpansion) fixes our other reported bug

https://bugs.kerbalspaceprogram.com/issues/26035
Unfortunately disabling Making History as we now advise is causing a large number of users to now notice this behavior.

A look in a decompiler on Assembly-CSharp reveals the issue. In APISKillExtensions, the entire class evaluation for skills is shortcircuited to true if
this returns false:

if (ExpansionsLoader.IsExpansioninstalled("MakingHistory"))

| would suggest a more sensible branching evaluation structure.
Thanks,

-RTB, Kopernicus lead dev.

Offtopic PS: Could you look at our sinking landing gear bug | linked, pretty please? The fact that Making History is producing unlandable planets at a
distance is very bad, and very odd. Plus disabling Making History does not fix the bug entirely, only improves usable range.

#18 - 08/17/2021 03:10 PM - Technicalfool

Test performed:

e Version 1.12.2

* No DLC installed
¢ level 1 pilot

e career game

Pilot now appears to have the correct (ie: only pro/retrograde) vectors enabled for SAS. The bug initially reported appears to be resolved, but if
anything related is continuing to occur, please continue to report as normal.

#19 - 08/17/2021 03:10 PM - Technicalfool
- Status changed from Confirmed to Being Worked On
- % Done changed from 10 to 30

#20 - 08/17/2021 03:10 PM - Technicalfool
- Status changed from Being Worked On to Ready to Test
- Target version setto 1.12.2

- % Done changed from 30 to 80

#21 - 08/17/2021 03:11 PM - Technicalfool
- Status changed from Ready to Test to Resolved
- % Done changed from 80 to 100

Files

test-27169.sfs 39.2 KB 01/31/2021 HansAcker
screenshot0.jpg 172 KB 01/31/2021 HansAcker
2021-01-31 2.png 6.58 MB 01/31/2021 Corkword
2021-01-31 1.png 6.66 MB 01/31/2021 Corkword
